## Available features

Available features — Available features in the installed Cutter.

## Types and Values

#define | CUT_SUPPORT_GLIB
#define | CUT_SUPPORT_GIO
#define | CUT_SUPPORT_LIBSOUP
#define | CUT_SUPPORT_C99_STDINT_TYPES

## Description

There are some macros to check a feature is available in the installed Cutter.

## Functions

## Types and Values

### CUT_SUPPORT_GLIB

    #define CUT_SUPPORT_GLIB 1

Shows GLib support is available. That is, we can use <gcutter.h>. It is always defined.

### CUT_SUPPORT_GIO

    #define CUT_SUPPORT_GIO 1

Shows GIO support is available.

### CUT_SUPPORT_LIBSOUP

    #define CUT_SUPPORT_LIBSOUP 1

Shows LibSoup support is available.

### CUT_SUPPORT_C99_STDINT_TYPES

    #define CUT_SUPPORT_C99_STDINT_TYPES 1

Shows C99 stdint types support is available. That is, we can use assertions that use C99 stdint types. e.g. `cut_assert_equal_int_least8()`.